package ActiveState::SpamEngine::Hash;

use strict;
use ActiveState::Hash;

sub new {
    my $cls = shift;
    my $db = ActiveState::Hash->new(@_);
    # $_[0] is the filename; $_[1] is $readonly
    if ($_[1] && $ENV{AS_USE_PERLHASH}) {
        my %h;
        $db->enumerate(sub { $_[0]{$_[1]} = $_[2]; 1 }, \%h);
        require ActiveState::SpamEngine::Hash::PerlHash;
        return ActiveState::SpamEngine::Hash::PerlHash->new(\%h);
    }
    return $db;
}

1;
