package ActiveState::SpamEngine::DataDefinedTransformer;
use strict;

sub define {
    my $name = shift;
    my $code = shift;

    return 0 if $name =~ /\W/;
    return 0 unless $code =~ /^[sy]|tr/;

    my $pkg = "

    package ActiveState::Transformer::Plugin::DDT_$name;
    use base qw(ActiveState::Transformer::Plugin);

    sub transform {
        \$_[1] =~ $code;
        return \$_[1];
    }

    1;

    ";

    eval $pkg;

    return 0 if $@;

    return 1;

}

1;
