package ActiveState::SpamEngine::Plugin::uri_dns;

use strict;
use warnings;

use ActiveState::SpamEngine;

use base 'ActiveState::SpamEngine::Plugin';

our @SP_REQUIRE = qw(part sxl uri);

sub plugin {
    my ($eng, $name) = @_;

    for my $dep (@SP_REQUIRE) { $eng->load_plugin($dep); }

    $eng->subscribe($name, "core.compile", \&compile);
    return 1;
}

sub compile {
    my $eng = $_[0];
    $eng->initialised("uri_dns");
}

1;
